config/routes.rb
require 'sidekiq/web'

Rails.application.routes.draw do
  resources :projects do
    member do
      get :sponsors
    end
  end
  namespace :admin do
      resources :users
      resources :announcements
      resources :notifications
      resources :services

      root to: "users#index"
    end
  get '/privacy', to: 'home#privacy'
  get '/get_started', to: 'home#get_started'
  get '/creators', to: 'home#creators'
  get '/sponsors', to: 'home#sponsors'
  resources :notifications, only: [:index]
  resources :announcements, only: [:index]
  authenticate :user, lambda { |u| u.admin? } do
    mount Sidekiq::Web => '/sidekiq'
  end

  devise_for :users, controllers: { omniauth_callbacks: "users/omniauth_callbacks" }
  root to: 'home#index'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/views/shared/_footer.html.erb
<footer class="footer">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md footer-left">
        <a class="navbar-brand m-b-10 m-r-0" href="<%= root_path %>">
          <%= image_tag("logo.svg") %>
        </a>
        <span>Have a nice <%= Time.now.strftime("%A") %>!</span>
        <span>Made with <%= image_tag "love.svg" %> and <a href="https://www.iota.org" target="_blank"><%= image_tag "iota.svg" %></a> by <a href="https://ecosystem.iota.org/users/huhn" target="_blank">huhn</a> and <a href="https://ecosystem.iota.org/users/rep0x" target="_blank">r3p0x</a> </span>
      </div>
      <div class="col-md footer-right">
        <ul>
          <li class="nav-item <%= "active" if request.path == '/get_started' %>""><%= link_to "Get started", get_started_path, class: "nav-link #{unread_announcements(current_user)}" %></li>
          <li class="nav-item <%= "active" if request.path == '/announcements' %>""><%= link_to "What's New", announcements_path, class: "nav-link #{unread_announcements(current_user)}" %></li>
        </ul>
      </div>
    </div>
    <hr>
    <div class="row">
      <div class="col-md">
        <ul class="list-inline mb-0" align="center">
          <li class="list-inline-item"><%= link_to "Privacy Policy", privacy_path %></li>
        </ul>
      </div>
    </div>
  </div>
</footer>

app/views/shared/_head.html.erb
<title><%= Rails.configuration.application_name %></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<%= csrf_meta_tags %>
<%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
<%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>

app/views/shared/_navbar.html.erb
<% if user_masquerade? %>
  <div class="alert alert-warning text-center">
    You're logged in as <b><%= current_user.name %> (<%= current_user.email %>)</b>
    <%= link_to back_masquerade_path(current_user) do %><%= icon("fas", "times") %> Logout <% end %>
  </div>
<% end %>

<nav class="navbar navbar-expand-lg">
  <div class="meta-nav">
    <ul>
      <li><a href="http://worldofmind.org">Mind</a></li>
      <li><a href="http://projects.worldofmind.org">Projects</a></li>
      <li><a href="http://quests.worldofmind.org">Quests</a></li>
      <li><a href="http://events.worldofmind.org">Events</a></li>
    </ul>
  </div>
  <a class="navbar-brand" href="<%= root_path %>">
    <%= image_tag("logo.svg") %>
  </a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    <div class="navbar-toggler-wrapper">
      <span class="line line__top"></span>
      <span class="line line__center"></span>
      <span class="line line__bottom"></span>
    </div>
  </button>
  <div class="collapse navbar-collapse" id="navbarNavDropdown">
    <ul class="navbar-nav">
      <li class="nav-item <%= "active" if request.path == '/' %>">
        <a class="nav-link" href="/">Home<span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item <%= "active" if request.path == '/get_started' %>""><%= link_to "Get Started", get_started_path, class: "nav-link #{unread_announcements(current_user)}" %></li>
      <li class="nav-item <%= "active" if request.path == '/creators' %>""><%= link_to "Creators", creators_path, class: "nav-link" %></li>
      <li class="nav-item <%= "active" if request.path == '/sponsors' %>""><%= link_to "Sponsors", sponsors_path, class: "nav-link" %></li>
      <li class="nav-item <%= "active" if request.path == '/announcements' %>""><%= link_to "Roadmap", announcements_path, class: "nav-link #{unread_announcements(current_user)}" %></li>
      <% if user_signed_in? %>

      <li class="nav-item icon">
        <%= link_to notifications_path, class: "nav-link" do %>
          <%= image_tag "icons/notification.svg" %>
        <% end %>
      </li>

      <li class="nav-item dropdown">
        <%= link_to root_path, id: "navbar-dropdown", class: "nav-link dropdown-toggle", data: { toggle: "dropdown" }, aria: { haspopup: true, expanded: false } do %>
          <%= image_tag gravatar_image_url(current_user.email, size: 40), height: 30, width: 30, class: "rounded" %>
        <% end %>
        <div class="dropdown-menu dropdown-menu-left" aria-labelledby="navbar-dropdown">
          <% if current_user.admin? %>
            <%= link_to "Admin Area", admin_root_path, class: "dropdown-item" %>
            <div class="dropdown-divider"></div>
          <% end %>
          <%= link_to "Settings", edit_user_registration_path, class: "dropdown-item" %>
          <div class="dropdown-divider"></div>
          <%= link_to "Logout", destroy_user_session_path, method: :delete, class: "dropdown-item" %>
        </div>
      </li>

      <% else %>
        <li class="nav-item button"><%= link_to "Sign Up", new_user_registration_path, class: "btn btn-primary", style: "color: #fff" %></li>
        <li class="nav-item button"><%= link_to "Log in", new_user_session_path, class: "btn btn-primary", style: "color: #fff" %></li>
      <% end %>
    </ul>
  </div>
</nav>

app/views/shared/_notices.html.erb
<% flash.each do |msg_type, message| %>
  <div class="alert <%= bootstrap_class_for(msg_type) %>">
    <div class="container">
      <button class="close" data-dismiss="alert"><span>×</span></button>
      <%= message %>
    </div>
  </div>
<% end %>